/*
 * Copyright (C) The Apache Software Foundation. All rights reserved.
 *
 * This software is published under the terms of the Apache Software License
 * version 1.1, a copy of which has been included with this distribution in
 * the LICENSE file.
 */
package org.apache.avalon.excalibur.i18n.test;

import java.util.HashMap;

import org.apache.testlet.AbstractTestlet;
import org.apache.log.LogKit;
import org.apache.avalon.excalibur.i18n.XMLResourceBundle;

/**
 * @author <a href="mailto:neeme@one.lv">Neeme Praks</a>
 * @version $Id: XMLResourceBundleTest.java,v 1.1 2001/05/01 13:41:43 bloritsch Exp $
 */

public class XMLResourceBundleTest extends AbstractTestlet
{
    public void testSubstitute() throws Exception
    {
        HashMap dictionary = new HashMap(5);
        dictionary.put("nice", "not so nice");
        dictionary.put("bad", "too bad");
        XMLResourceBundle bundle = new XMLResourceBundle("test bundle", (org.w3c.dom.Document) null, new java.util.Locale("",""), null, false);
        bundle.setLogger(LogKit.getLoggerFor("XMLResourceBundle"));
        assert(bundle.substitute("This is a {nice} test!", dictionary), bundle.substitute("This is a {nice} test!", dictionary).equals("This is a not so nice test!"));
        assert(bundle.substitute("This is a {nice}, {nice} test!", dictionary), bundle.substitute("This is a {nice}, {nice} test!", dictionary).equals("This is a not so nice, not so nice test!"));
        assert(bundle.substitute("This is a {nice} but not {bad} test!", dictionary), bundle.substitute("This is a {nice} but not {bad} test!", dictionary).equals("This is a not so nice but not too bad test!"));
        assert(bundle.substitute("This is a test!", dictionary), bundle.substitute("This is a test!", dictionary).equals("This is a test!"));
        assert(bundle.substitute("", dictionary), bundle.substitute("", dictionary).equals(""));
    }
}